Bug 150888 - Blurry icon in OLE link
Summary: Blurry icon in OLE link
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.3.7 target:7.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2022-09-09 11:58 UTC by Regis Perdreau
Modified: 2022-12-05 22:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By: Hossein


Attachments
odt test document (55.42 KB, application/vnd.oasis.opendocument.text)
2022-09-09 12:13 UTC, Regis Perdreau
Details
pdf linked test document (18.82 KB, application/pdf)
2022-09-09 12:14 UTC, Regis Perdreau
Details
blurry screencopy (12.29 KB, image/png)
2022-09-09 12:15 UTC, Regis Perdreau
Details
Expected screencopy (18.64 KB, image/png)
2022-09-09 12:15 UTC, Regis Perdreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regis Perdreau 2022-09-09 11:58:46 UTC
Description:
In the attached odt file, which contains an ole link, the PDF icon is blurry in LO 7.3.5.2.
It's ok in 7.2.7.

Steps to Reproduce:
Need a pdf reader installed of course
1. Load attached documents
2. look at the icon inside the odt document
3.


Actual Results:
Icon is strongly blurry. See screen copy.

Expected Results:
Icon should be the pdf one. See screen copy.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.5.2 (x64) / LibreOffice Community
Build ID: 184fe81b8c8c30d8b5082578aee2fed2ea847c01
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Vulkan; VCL: win
Locale: fr-FR (fr_FR); UI: fr-FR
Calc: threaded


It's ok in 7.2.7.
Comment 1 Regis Perdreau 2022-09-09 12:13:21 UTC
Created attachment 182339 [details]
odt test document
Comment 2 Regis Perdreau 2022-09-09 12:14:04 UTC
Created attachment 182340 [details]
pdf linked test document
Comment 3 Regis Perdreau 2022-09-09 12:15:18 UTC
Created attachment 182341 [details]
blurry screencopy
Comment 4 Regis Perdreau 2022-09-09 12:15:45 UTC
Created attachment 182342 [details]
Expected screencopy
Comment 5 Aron Budea 2022-09-10 05:40:13 UTC
Confirmed using LO 7.5.0.0.alpha0+ (ee003ca99f94c9a5517ebba67ed02abb2a60dae8) / Ubuntu.

This is a regression, and could be bibisected to the following commit using repo bibisect-linux-64-7.3. Adding CC: to Hossein.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5e4e1cdb1e14354b42838e1dfcf82873b3071896
author		Hossein <hossein@libreoffice.org>	2021-09-27 06:53:47 +0200
committer	Hossein <hossein@libreoffice.org>	2021-09-27 22:08:15 +0200

tdf#88163 Fix font size for placeable wmf files
Comment 6 Commit Notification 2022-10-24 16:25:53 UTC
Paris Oplopoios committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a03a47bb0791d88fedb2650bca412c28469b0b27

tdf#150888 Scale down PPI if it would result in a tiny image

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Hossein 2022-10-24 21:06:46 UTC
Verified fixed in the latest LO 7.5 dev master:

Version: 7.5.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: c3247f0380b4ffe90672a0442687593531c5774b
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 8 Commit Notification 2022-10-26 10:47:46 UTC
Paris Oplopoios committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/df11fc4994e73f676fae317e8fc278dceef0e7d3

tdf#150888 Scale down PPI if it would result in a tiny image

It will be available in 7.3.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-10-27 10:09:53 UTC
Paris Oplopoios committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-7":

https://git.libreoffice.org/core/commit/7ba1d10282ea51ecfe74188412c4d2627604802c

tdf#150888 Scale down PPI if it would result in a tiny image

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-11-01 10:14:53 UTC
Paris Oplopoios committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/3f8b95015e4f542f39b3ecb6763d1aad8e04284f

tdf#150888 Scale down PPI if it would result in a tiny image

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.